Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5823 - rpm-3.0.3 configure problem - lib/rpmmalloc.c
Summary: rpm-3.0.3 configure problem - lib/rpmmalloc.c
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-11 08:13 UTC by benedict
Modified: 2017-02-24 20:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-04-13 11:02:15 UTC


Attachments (Terms of Use)

Description benedict 1999-10-11 08:13:08 UTC
With libz installed as shared library only, ie.
libz.so.1.1.3 exists, but libz.a does not, the configure
script incorrectly infers, that
ac_cv_header_stdc=no

Next, compilation of lib/rpmmalloc.c fails, as it needs the
definition of EXIT_FAILURE.

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I../build -I../popt
-I/usr/local/include -I../intl -I../misc -g -O2
-D__BIT_TYPES_DEFINED__ -Wall -Wpointer-arith
-Wstrict-prototypes -Wmissing-prototypes
-Wno-char-subscripts -c rpmmalloc.c -o rpmmalloc.o
rpmmalloc.c: In function `vmefail':
rpmmalloc.c:6: `EXIT_FAILURE' undeclared (first use in this
function)
rpmmalloc.c:6: (Each undeclared identifier is reported only
once
rpmmalloc.c:6: for each function it appears in.)

Comment 1 Jeff Johnson 1999-10-11 15:49:59 UTC
What platform?

Comment 2 benedict 1999-10-11 15:55:59 UTC
platforms: irix6.5
I suppose, if you set $ac_cv_header_stdc=no in config.cache, it will
not build on linux either, but that's just a conjecture.

Comment 3 Jeff Johnson 2000-04-13 11:02:59 UTC
Fixed in cvs.

Comment 4 Ralph Bean 2017-02-24 20:48:01 UTC
Package request has been approved: https://admin.stg.fedoraproject.org/pkgdb/package/modules/haproxy


Note You need to log in before you can comment on or make changes to this bug.